Unit tde94e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE94E_p, FJDE94E_p, FXDE94E_p, DE94E_p;

function tde94e: String;

implementation

function tde94e: String;
var
M,JSTART,IH,IERR :Integer;
HMIN,EPS,P,H,X,XP,Y1,Y2,Y3,Y4 :Extended;
BUL :Boolean;
YX :Array [0..3] of Extended;
YP :Array [0..3] of Extended;
A :Array [0..15] of Extended;
A1 :Array [0..15] of Extended;
A2 :Array [0..15] of Extended;
RAB :Array [0..19] of Extended;
R1 :Array [0..3] of Extended;
R2 :Array [0..3] of Extended;
R3 :Array [0..3] of Extended;
R4 :Array [0..3] of Extended;
YD :Array [0..3] of Extended;
label
_100,_101,_102,_103,_104,_105,_106;
begin
Result := '';  {   }
M := 4;
X := 0.e0;
YX[0] := 10.e0;
YX[1] := 11.e0;
YX[2] := 111.e0;
YX[3] := 111.e0;
HMIN := 1.e-10;
EPS := 1.e-4;
P := 1.e3;
JSTART := 0;
H := 0.01e0;
IH := 0;
_100:
IH := IH + 1;
DE94E (FDE94E,FJDE94E,FXDE94E,M,JSTART,HMIN,EPS,P,YX,X,H,BUL,XP,YP,
     A,A1,A2,RAB,R1,R2,R3,R4,YD,IERR);
{    BCEHE TOHOO PEEH CCTEM: }
Y1 := 10.e0*Exp(-100.e0*X);
Y2 := Y1+Exp(-X)*(Cos(X)+Sin(X));
Y3 := Y2+100.e0*Exp(-1.e4*X)*Cos(10.e0*X);
Y4 := Y3+100.e0*Exp(-1.e4*X)*Sin(10.e0*X);
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format(' %20.16f  %20.16f ',[Y1,Y2]) + #$0D#$0A;
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format(' %20.16f  %20.16f ',[Y3,Y4]) + #$0D#$0A;
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format(' %20.16f  %20.16f ',[YX[0],YX[1]]) + #$0D#$0A;
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format(' %20.16f  %20.16f  %20.16f  %20.16f ',
 [YX[2],YX[3],X,H]) + #$0D#$0A;
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format('%s',
 [' PACEATKA OPEHOCT PEHHOO PEEH']) + #$0D#$0A; 
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
{  PACEATKA OPEHOCT PEHHOO PEEH }
Result := Result + Format(' %20.16f  %20.16f  %20.16f  %20.16f ',
 [RAB[0],RAB[1],RAB[2],RAB[3]]) + #$0D#$0A;
case IH of
 1: goto _101;
 2: goto _102;
 3: goto _103;
 4: goto _104;
 5: goto _105;
 6: goto _106;
end;
_101:
H := 1.e-8;
goto _100;
_102:
H := -1.e-8;
goto _100;
_103:
JSTART := -1;
goto _100;
_104:
JSTART := -1;
H := -1.e-8;
goto _100;
_105:
H := 0.01e0;
goto _100;
_106:
UtRes('tde94e',Result);  {     tde94e.res }
exit;
end;

end.
